Skip to content

Remove Library License References

Request

Removes the license reference from a library

Security
bearer-key
Path
orgTokenstringrequired

org UUID (by running Entities - Organization > Get User Organizations) or API Key (from the Mend SCA App: Integrate tab > API Key).

libraryUuidstringrequired

library UUID (get a project's library by running Library - Project > Get Project Libraries.

licenseUuidstringrequired

license UUID to remove

DELETE
/api/v2.0/orgs/{orgToken}/libraries/{libraryUuid}/licenses/{licenseUuid}
curl -i -X DELETE \
  'https://api-saas.mend.io/api/v2.0/orgs/{orgToken}/libraries/{libraryUuid}/licenses/{licenseUuid}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
supportTokenstring(Support Token)
Example:"1171c60d"
retValstring
Response
{ "supportToken": "1171c60d", "retVal": "string" }